xpath_allocator_capture Struct Reference
Collaboration diagram for xpath_allocator_capture:
[legend]

## Public Member Functions

| xpath_allocator_capture (xpath_allocator *alloc)
| ~xpath_allocator_capture ()

## Public Attributes

xpath_allocator * | _target
xpath_allocator | _state

## Detailed Description

Definition at line 6347 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xpath_allocator_capture()

xpath_allocator_capture::xpath_allocator_capture | ( | xpath_allocator * | alloc | ) |

inline

Definition at line 6349 of file pugixml.cpp.

: _target(alloc), _state(*alloc)
{
}

## ~xpath_allocator_capture()

xpath_allocator_capture::~xpath_allocator_capture | ( |  | ) |

inline

Definition at line 6353 of file pugixml.cpp.

{
_target->revert(_state);
}

References _state, _target, and xpath_allocator::revert().

## Member Data Documentation

## _state

xpath_allocator xpath_allocator_capture::_state

Definition at line 6359 of file pugixml.cpp.

Referenced by ~xpath_allocator_capture().

## _target

xpath_allocator* xpath_allocator_capture::_target

Definition at line 6358 of file pugixml.cpp.

Referenced by ~xpath_allocator_capture().

The documentation for this struct was generated from the following file:

- pugixml.cpp

xpath_allocator_capture::_target
xpath_allocator * _target
Definition: pugixml.cpp:6358
xpath_allocator::revert
void revert(const xpath_allocator &state)
Definition: pugixml.cpp:6312
xpath_allocator_capture::_state
xpath_allocator _state
Definition: pugixml.cpp:6359